Loading...
Searching...
No Matches
svn_wc_info_t Struct Reference
Working copy management

This struct contains information about a working copy node. More...

`#include <svn_wc.h>`

## Data Fields

svn_wc_schedule_t | schedule
| The schedule of this item.
const char * | copyfrom_url
| If copied, the URL from which the copy was made, else `NULL`.
svn_revnum_t | copyfrom_rev
| If copied, the revision from which the copy was made, else SVN_INVALID_REVNUM.
const svn_checksum_t * | checksum
| The checksum of the node, if it is a file.
const char * | changelist
| A changelist the item is in, `NULL` if this node is not in a changelist.
svn_depth_t | depth
| The depth of the item, see svn_depth_t.
svn_filesize_t | recorded_size
| The size of the file after being translated into its local representation, or SVN_INVALID_FILESIZE if unknown.
apr_time_t | recorded_time
| The time at which the file had the recorded size recorded_size and was considered unmodified.
const apr_array_header_t * | conflicts
| Array of const svn_wc_conflict_description2_t * which contains info on any conflict of which this node is a victim.
const char * | wcroot_abspath
| The local absolute path of the working copy root.
const char * | moved_from_abspath
| The path the node was moved from, if it was moved here.
const char * | moved_to_abspath
| The path the node was moved to, if it was moved away.

## Detailed Description

This struct contains information about a working copy node.

Note
  Fields may be added to the end of this structure in future versions. Therefore, users shouldn't allocate structures of this type, to preserve binary compatibility.

Since
  New in 1.7.

Definition at line 3242 of file svn_wc.h.

## Field Documentation

## changelist

const char* svn_wc_info_t::changelist

A changelist the item is in, `NULL` if this node is not in a changelist.

Definition at line 3260 of file svn_wc.h.

## checksum

const svn_checksum_t* svn_wc_info_t::checksum

The checksum of the node, if it is a file.

Definition at line 3256 of file svn_wc.h.

## conflicts

const apr_array_header_t* svn_wc_info_t::conflicts

Array of const svn_wc_conflict_description2_t * which contains info on any conflict of which this node is a victim.

Otherwise NULL.

Definition at line 3279 of file svn_wc.h.

## copyfrom_rev

svn_revnum_t svn_wc_info_t::copyfrom_rev

If copied, the revision from which the copy was made, else SVN_INVALID_REVNUM.

Definition at line 3253 of file svn_wc.h.

## copyfrom_url

const char* svn_wc_info_t::copyfrom_url

If copied, the URL from which the copy was made, else `NULL`.

Definition at line 3249 of file svn_wc.h.

## depth

svn_depth_t svn_wc_info_t::depth

The depth of the item, see svn_depth_t.

Definition at line 3263 of file svn_wc.h.

## moved_from_abspath

const char* svn_wc_info_t::moved_from_abspath

The path the node was moved from, if it was moved here.

Else NULL.

Since
  New in 1.8.

Definition at line 3286 of file svn_wc.h.

## moved_to_abspath

const char* svn_wc_info_t::moved_to_abspath

The path the node was moved to, if it was moved away.

Else NULL.

Since
  New in 1.8.

Definition at line 3290 of file svn_wc.h.

## recorded_size

svn_filesize_t svn_wc_info_t::recorded_size

The size of the file after being translated into its local representation, or SVN_INVALID_FILESIZE if unknown.

Not applicable for directories.

Definition at line 3270 of file svn_wc.h.

## recorded_time

apr_time_t svn_wc_info_t::recorded_time

The time at which the file had the recorded size recorded_size and was considered unmodified.

Definition at line 3275 of file svn_wc.h.

## schedule

svn_wc_schedule_t svn_wc_info_t::schedule

The schedule of this item.

### Do we still need schedule?

Definition at line 3246 of file svn_wc.h.

## wcroot_abspath

const char* svn_wc_info_t::wcroot_abspath

The local absolute path of the working copy root.

Definition at line 3282 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h